{
  name: "Magmarizer",
  onHit(target, source, move) {
    if (
      user.baseSpecies.num === '467' &&
      move?.type === 'Fire' &&
      source?.item === 'magmarizer'
    ) {
      /* Apply the Tar Shot effects: */
      if (!target.volatiles['tarshot']) {
        target.addVolatile('tarshot');
        this.add('-ability', source, 'Magmarizer Boost');
        this.add('-message', `${target.name} was coated in sticky tar!`);
      }
    }
  },
  spritenum: 272,
  fling: {
  	basePower: 80,
  },
  itemUser: ["Magmortar"],
  num: 323,
  gen: 4,
}